/*
* ============================================================================
*  Name     : S80BibleApplication.cpp
*  Part of  : S80Bible
*  Created  : 22.05.2006 by Yohanes Nugroho
*  Description:
*     CS80BibleApplication implementation
*  Copyright: 
* ============================================================================
*/


#include "S80BibleDocument.h"
#include "S80BibleApplication.h"

// UID for the application, this should correspond to the uid defined in the mmp file
static const TUid KUidS80BibleApp = {0x1020107A};

CApaDocument* CS80BibleApplication::CreateDocumentL()
    {  
    // Create an S80Bible document, and return a pointer to it
    CApaDocument* document = CS80BibleDocument::NewL(*this);
    return document;
    }

TUid CS80BibleApplication::AppDllUid() const
    {
    // Return the UID for the S80Bible application
    return KUidS80BibleApp;
    }

