/*
* ============================================================================
*  Name     : S80BibleDocument.h
*  Part of  : S80Bible
*  Created  : 22.05.2006 by Yohanes Nugroho
*  Description:
*     CS80BibleDocument header
*  Copyright: 
* ============================================================================
*/

#ifndef __S80BIBLE_DOCUMENT_H__
#define __S80BIBLE_DOCUMENT_H__


#include <eikdoc.h>

// Forward references
class CS80BibleAppUi;
class CEikApplication;
class Viewer;

class CS80BibleDocument : public CEikDocument
    {
	public:
		static CS80BibleDocument* NewL(CEikApplication& aApp);
		static CS80BibleDocument* NewLC(CEikApplication& aApp);
		~CS80BibleDocument();

	public: // from CEikDocument
		CEikAppUi* CreateAppUiL();
		Viewer* Model();
	private:
		void ConstructL();
		CS80BibleDocument(CEikApplication& aApp);
		Viewer* iViewer;

    };

#endif // __S80BIBLE_DOCUMENT_H__
