/*
    S60Bible A Bible Reader for SymbianOS
    Copyright (C) 2004 Yohanes Nugroho

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Yohanes Nugroho (yohanes@opensource.or.id)
    Kp Areman RT 09/08 No 71 Desa Tugu Cimanggis Depok 16951 Indonesia
*/

#ifndef UTIL_H
#define UTIL_H
#include "info.h"
#ifdef USE_LIB_C
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "usermem.h"
#else
#include <e32std.h>
#endif
short fixs(short s);
long fixl(long s);
int my_tolower(int c);
int my_isdigit(int c);
int my_isalpha(int c);
unsigned int my_strlen(const char *s);
char * my_strcpy(char *s, const char *ct);
int my_strcmp(const char *cs, const char *ct);
char * my_strcat(char *s, char *ct);
void my_memcpy(void *dest, void *src, int len);
void my_memset(void *ptr, int fill, int len);
#endif
